## org.biojava.bibliography
Class BiblioJournalArticle

    java.lang.Object
      org.biojava.bibliography.BibRef
          org.biojava.bibliography.BiblioArticle
              org.biojava.bibliography.BiblioJournalArticle

public class BiblioJournalArticle
extends BiblioArticle

It represents a journal article.

Version:
  $Id: BiblioJournalArticle.java,v 1.2 2002/02/14 16:27:54 mrp Exp $
Author:
  Martin Senger

Field Summary
`BiblioJournal` `fromJournal`
`java.lang.String` `issue`
`java.lang.String` `issueSupplement`
`java.lang.String` `volume`

Fields inherited from class org.biojava.bibliography.BiblioArticle
`firstPage, lastPage`

Fields inherited from class org.biojava.bibliography.BibRef
`authors, contributors, coverage, crossReferences, date, description, entryStatus, format, identifier, language, properties, publisher, rights, subject, title, type`

Constructor Summary
`BiblioJournalArticle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### volume

    public java.lang.String volume

### issue

    public java.lang.String issue

### issueSupplement

    public java.lang.String issueSupplement

### fromJournal

    public BiblioJournal fromJournal

Constructor Detail

### BiblioJournalArticle

    public BiblioJournalArticle()